% =============================================================
%
% PlotVortex.m
%
% CBP Updated 11-07-20
%
% =============================================================

clear all;
clf;

#fname = input('Input filename between single quotes plus extension ');
fname = "Data.txt";
x = dlmread(fname,",",2,0);
time = x(:,1);
dispY = x(:,2);
velyY = x(:,3);


h2 = figure(1);
plot(time,dispY - 63);
xlabel('time');
ylabel('y-Displacement');
grid();

ninety = 8*idivide(size(dispY),10)(1);
eend = size(dispY)(1) - 5;
maxDispY = max(dispY(ninety:eend));
printf("Max y-Dispacement = %f\n",maxDispY - 63);

meanDispY = mean(abs(dispY(ninety:eend)-63));
printf("Mean positive y-Dispacement = %f\n",meanDispY);

meanDispY2 = meanDispY^2;
printf("Mean y-Dispacement Squared = %f\n",meanDispY2);

T = time(length(time));
N = length(dispY);
yy = fft(dispY);
f=[0:1/T:(N-1)/T]';

start = floor(N/5);
maxAmp = max(abs(yy(start:N)));
% Try to find max f away from dc value

figure(2)
plot(f,abs(yy));
axis([0,100,0,maxAmp])