
 
BDIM flow;
Body body;
StreamPlot flood;
VectorField velocityField; // The actual flow field
float velocity;            // Velocity of the flow
boolean bRunning = true;

void setup(){
  int n=(int)pow(2,6);   // number of grid points

  size(800,400);         // display window size
  Window view = new Window(2*n,n);


  // Try and Airfoil
   body = new NACA(n/3,n/2,32,.15,view);
  // And give it some rotation
  // body.rotate(2.0*PI/180);
  
  // Set number of streamlines
  int nlines = 100;
  // Set fluid Velocity
  velocity =0.1;
  
  
  velocityField = new VectorField(2*n+2,n+2,velocity,0);
  flow = new BDIM(2*n,n,1.,body,velocityField,0,false);   // solve for flow   

  flood = new StreamPlot(view,flow,nlines);
  flood.range = new Scale(-.75,.75);
  flood.setLegend("vorticity");
  flood.setLineColor(0);
  flood.setLineThickness(0.1);
}
void draw(){
  if(bRunning) {
    flow.update(body);
    flow.update2();
  }
  flood.display(flow.u.curl());
  body.display();
}
void mousePressed(){body.mousePressed();}
void mouseReleased(){body.mouseReleased();}
void mouseClicked() {  // stop-start updates
   bRunning = !bRunning;
 }
